\newpage

\subsection{Service 8: Function Management}

\begin{description}
	\item[Objective]\hfill\\
	
	Through this service it is possible to perform functions of an application process. Each process can support one or more functions which lead to an exceeding of the standardized functionalities of that process.\\
	Each function is uniquely identified through a \textit{Function ID}.
	
	\item[Service Summary]\hfill\\
	
	\begin{table}[h]
		\centering
		\begin{tabular}{p{0.1\textwidth}p{0.2\textwidth}p{0.6\textwidth}}
			\toprule
			\textbf{TM/TC} & \textbf{Service-Type, Service Subtype} & \textbf{Description}\\
			\midrule
			\rowcolor{TcHeader!20}TC & 8,1 & Perform a function\\
			\bottomrule
		\end{tabular}
		\caption{Service 8 Summary}
	\end{table}
	
\end{description}


% ------------------------------------------------------------------------------
% TC 8,1
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{8,1} & \textbf{Perform Function}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests the execution of a function of an application. Each function can have zero or more arguments.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 8 \\
		&\\
		Service Subtype & 1 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			Function ID & N & Argument ID & Argument Value\\
			\hline
			\hline
			\rowcolor{TcBody}
			Enum & Unsigned\newline Integer & Enum & Deduced\\
			\hline
			\rowcolor{TcBody}
			8 Bit & 8 Bit & 8 Bit & $n\cdot8$ Bit\\
			\hline
			\multicolumn{2}{c}{} & \multicolumn{2}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(8,1)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Function ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the function. Must be unique for a given APID. Function ID and APID implicitly define the presence and the structure of the following parameters.\\
		& \\
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of following arguments. The maximum value is 109. This is an optional field.\\
		& \\
		\textbf{Argument ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of a special argument. This is an optional field.\\
		& \\
		\textbf{Argument Value}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=11 &PFC=0 \end{tabular} & The value of the special argument. The structure of this field will be implicitly known through the argument ID. The size of this field is $n\cdot 8\  Bit$. This is an optional field.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If the argument value does not comply with the expected function arguments the application data becomes invalid.
	
\end{description}

\vfill
